%global pypi_name jaraco.functools
%global pkg_name jaraco-functools
%bcond_with docs

Name:           python-%{pkg_name}
Version:        3.5.2
Release:        %mkrel 1
Summary:        Functools like those found in stdlib
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/jaraco.functools
Source0:        %{pypi_source}
BuildArch:      noarch
 
%description
Functools like those found in stdlib

%package -n python3-%{pkg_name}
Summary:   %{summary}
Group:     Development/Python
Requires:  python3-jaraco
Requires:  python3dist(toml)

BuildRequires:  python3-devel
BuildRequires:	pyproject-rpm-macros
BuildConflicts: python3dist(pytest) = 3.7.3
BuildRequires:  python3dist(jaraco-classes)
BuildRequires:  python3dist(more-itertools)
BuildRequires:  python3dist(pytest) >= 3.4
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm) >= 1.15
BuildRequires:  python3dist(six)
BuildRequires:  python3dist(toml)
%{?python_provide:%python_provide python3-%{pkg_name}}

%description -n python3-%{pkg_name}
Functools like those found in stdlib

%if %{with docs}
%package -n python-%{pkg_name}-doc
Summary:        jaraco-functools documentation

BuildRequires:  python3dist(jaraco.packaging) >= 3.2
BuildRequires:  python3dist(rst.linker) >= 1.9
BuildRequires:  python3dist(sphinx)

%description -n python-%{pkg_name}-doc
Documentation for jaraco-functools
%endif

%prep
%autosetup -n jaraco.functools-%{version}
# Remove bundled egg-info
rm -rf jaraco.functools.egg-info

%build
%pyproject_wheel

%if %{with docs}
# generate html docs 
PYTHONPATH=${PWD} sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install

%check
%pytest

%files -n python3-%{pkg_name}
%doc LICENSE
%doc README.rst
%{python3_sitelib}/jaraco/functools*
%{python3_sitelib}/jaraco/__pycache__/functools*
%{python3_sitelib}/jaraco.functools-%{version}.dist-info
%if %{with docs}
%files -n python-%{pkg_name}-doc
%doc html
%doc LICENSE
%endif


%changelog
* Wed Dec 21 2022 guillomovitch <guillomovitch> 3.5.2-1.mga9
+ Revision: 1925534
- new version 3.5.2

* Thu Aug 25 2022 neoclust <neoclust> 3.5.1-1.mga9
+ Revision: 1880200
- New version 3.5.1

* Sun Mar 27 2022 umeabot <umeabot> 3.5.0-3.mga9
+ Revision: 1828882
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 3.5.0-2.mga9
+ Revision: 1782100
- rebuild for python-3.10

* Sat Jan 08 2022 guillomovitch <guillomovitch> 3.5.0-1.mga9
+ Revision: 1767290
- new version 3.5.0

* Sun Dec 12 2021 guillomovitch <guillomovitch> 3.4.0-1.mga9
+ Revision: 1761624
- new version 3.4.0

* Wed Jul 14 2021 guillomovitch <guillomovitch> 3.3.0-1.mga9
+ Revision: 1735988
- new version 3.3.0

* Sat Mar 20 2021 guillomovitch <guillomovitch> 3.2.1-2.mga9
+ Revision: 1706237
- rebuild for python 3.9

* Fri Feb 26 2021 guillomovitch <guillomovitch> 3.2.1-1.mga9
+ Revision: 1691748
- new version 3.2.1

* Tue Nov 10 2020 guillomovitch <guillomovitch> 3.0.1-1.mga8
+ Revision: 1644305
- imported package python-jaraco-functools

